package vc.thinker.web.vo;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import vc.thinker.thirdpartyproxy.ProtocolType;
import vc.thinker.web.validator.ValidatorEnum;

import javax.validation.constraints.NotNull;
import java.io.Serial;
import java.io.Serializable;

/**
 * 端设备数据上报信息
 * @author : xieshaojun
 * @date : 2023/1/3 14:06
 */
@Data
public class TerminalDataReportVO implements Serializable {
    @Serial
    private static final long serialVersionUID = -3628045573564814316L;

    @ApiModelProperty("协议编码")
    @ValidatorEnum(message = "协议类型不支持",enumClass = ProtocolType.class)
    private String protocolCode;

    @ApiModelProperty("网关下设备唯一地址")
    @NotNull(message = "网关下设备唯一地址不允许为空")
    private String deviceAddress;

    @ApiModelProperty("毫秒时间戳")
    @NotNull(message = "毫秒时间戳不允许为空")
    private Long timestamp;

    @ApiModelProperty("协议数据")
    private JSONObject data;


}
